# $Revision: 1.8 $, $Date: 2006/05/31 12:54:44 $
%define		_vendor_name	gregoriandate
%define		ocaml_ver	1:3.09.2
Summary:	Gregoriandate for Ocaml
Summary(pl):	Data w kalendarzu gregoriaskim dla Ocamla
Name:		ocaml-%{_vendor_name}
Version:	1.0.1
Release:	5
License:	GPL
Group:		Libraries
Source0:	http://merjis.com/_file/%{_vendor_name}-%{version}.tar.gz
# Source0-md5:	fab990962055f38720d4e626b796db8d
BuildRequires:	ocaml >= %{ocaml_ver}
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gregorian Date is a pure OCaml library for performing calculations
based on the Gregorian calendar.

This is a library of useful date calculations using the Gregorian
calendar, as used in most Western countries, and increasingly in the
East. Although the Gregorian calendar was adopted in 1582, this
library extends it back through to 1 AD.

It is inspired and derived from Perl's Date::Calc

%description -l pl
Gregorian Date jest napisan w ocamlu bibliotek dla ocamla wykonujc
podstawowe obliczenia w kalendarzu gregoriaskim.

Jest to biblioteka czsto uywanych oblicze przy uyciu kalendarza
gregoriaskiego, uywanego na pkuli zachodniej, a i coraz czciej
na wschodniej. Mimo e kalendarz gregoriaski zosta przyjty w 1582
roku, biblioteka ta potrafi wykonywa obliczenia od 1 roku naszej ery.

Powstaa ona w wyniku inspiracji moduem Perla Date::Calc i na nim si
opiera.

%package devel
Summary:	Gregoriandate for Ocaml - development part
Summary(pl):	Data w kalendarzu gregoriaskim dla Ocamla - cz programistyczna
Group:		Development/Libraries
%requires_eq	ocaml

%description devel
Gregorian Date is a pure OCaml library for performing calculations
based on the Gregorian calendar.

This is a library of useful date calculations using the Gregorian
calendar, as used in most Western countries, and increasingly in the
East. Although the Gregorian calendar was adopted in 1582, this
library extends it back through to 1 AD.

It is inspired and derived from Perl's Date::Calc This package
contains files needed to develop OCaml programs using this library.

%description devel -l pl
Gregorian Date jest napisan w ocamlu bibliotek dla ocamla wykonujc
podstawowe obliczenia w kalendarzu gregoriaskim.

Jest to biblioteka czsto uywanych oblicze przy uyciu kalendarza
gregoriaskiego, uywanego na pkuli zachodniej, a i coraz czciej
na wschodniej. Mimo e kalendarz gregoriaski zosta przyjty w 1582
roku, biblioteka ta potrafi wykonywa obliczenia od 1 roku naszej ery.
Pakiet zawiera pliki niezbdne do tworzenia programw uywajcych tej
biblioteki.

%prep
%setup -q -n %{_vendor_name}-%{version}

%build
%{__make} all \
	CC="%{__cc} %{rpmcflags} -fPIC"

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/gregoriandate
install *.cm[ixa]* *.a $RPM_BUILD_ROOT%{_libdir}/ocaml/gregoriandate

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/gregoriandate
cat > $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/gregoriandate/META <<EOF
requires = ""
version = "%{version}"
directory = "+gregoriandate"
archive(byte) = "gregoriandate.cma"
archive(native) = "gregoriandate.cmxa"
linkopts = ""
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc COPYING.LIB *.mli
%dir %{_libdir}/ocaml/gregoriandate
%{_libdir}/ocaml/gregoriandate/*.cm[ixa]*
%{_libdir}/ocaml/gregoriandate/*.a
%{_examplesdir}/%{name}-%{version}
%{_libdir}/ocaml/site-lib/gregoriandate

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ocaml-gregoriandate.spec,v $
Revision 1.8  2006/05/31 12:54:44  glen
- rel 5 (rebuild with ocaml-3.09.2)

Revision 1.7  2006/04/16 10:20:54  glen
- ocaml epoch is 1

Revision 1.6  2006/04/15 22:11:00  glen
- ocaml 3.09.1

Revision 1.5  2005/12/10 18:43:26  baggins
- release 2 for ocaml 3.09.0

Revision 1.4  2004/12/07 22:06:32  qboosh
- typos

Revision 1.3  2004/12/06 23:11:33  ankry
- cosmetics, pl being pl

Revision 1.2  2004/12/06 18:28:42  dobrek
- renamed short_name macro into verndor_name

Revision 1.1  2004/12/06 18:25:55  dobrek
- initial release
